/**************************Import Excel Files*************************************/
PROC IMPORT OUT= WORK.fuels 
            DATAFILE= "Biodiesel.xls" 
            DBMS=EXCEL2000 REPLACE;
     RANGE="Fuels$"; /*this is the sheet name*/
     GETNAMES=YES;
RUN;
PROC IMPORT OUT= WORK.engines 
            DATAFILE= "Biodiesel.xls" 
            DBMS=EXCEL2000 REPLACE;
     RANGE="Engines$"; 
     GETNAMES=YES;
RUN;
PROC IMPORT OUT= WORK.emissions 
            DATAFILE= "Biodiesel.xls" 
            DBMS=EXCEL2000 REPLACE;
     RANGE="Emissions$"; 
     GETNAMES=YES;
RUN;

/***********************Merge Emissions with Fuels Data Sets*******************/
proc sort data=emissions;
  by fbatch_id;
run;
proc sort data=fuels;
  by fbatch_id;
run;
data emisfuel;
  merge emissions fuels;
  by fbatch_id;
run;
/***********************Merge EmisFuel with Engines Data Sets*******************/
proc sort data=emisfuel;
  by equip_id;
run;
proc sort data=engines;
  by equip_id;
run;
data all;
  merge emisfuel engines;
  by equip_id;
run;

/************************Start Analysis***********************************************/
proc means;
  class fbatch_id;
  var pm;
  run;
proc means;
  class per_bio;
  var pm;
run;
proc means;
  class per_bio fbatch_id;
  var pm;
run;

