
/********************************************
  THIS COMMAND FILE SHOWS HOW TO IDENTIFY
  DUPLICATE CASES AND WRITE THEM OUT

  FILENAME:  FIND_DUP.SAS
********************************************/

data clinic;
 input
   id group date :mmddyy8. sbp wt sideffct;
   format date mmddyy8.;
 cards;
131 1 4/2/95   129 150 1
131 1 4/2/95   129 150 1
131 1 5/5/95   118 154 1
131 1 6/1/95   119 152 0
131 1 7/10/95  116 151 1
131 1 8/14/95  111 153 0
131 1 8/14/95  111 153 0
105 2 7/15/95  145 188 0
105 2 8/22/95  147 185 1
105 2 7/15/95  145 188 1
105 2 12/20/95 129 185 0
222 1 3/14/95  159 201 0
222 1 7/19/95  158 218 1
222 1 8/17/95  148 222 1
  5 2 7/24/95  118 190 0
  5 2 8/28/95  114 185 0
  7 1 3/7/95   222 224 1
  7 1 4/18/95  201 201 0
222 1 10/13/95 145 215 1
222 1 5/29/95  155 207 0
222 1 10/13/95 160 219 0
;

proc sort data=clinic ;
   by id date;
run;


/*ELIMINATE DUPLICATE DATES
  USING PROC SORT WITH THE
  NODUPKEY OPTION*/

proc sort data=clinic out=sort1 nodupkey;
  by id date;
run;

proc print data=sort1;
  title "Sorted Data With Duplicate Dates Removed";
run;

/*ELIMINATE DUPLICATE CASES USING PROC
  SORT WITH THE NODUPREC OPTION*/

proc sort data=clinic out=sort2 noduprec;
  by id date;
run;

proc print data=sort2;
  title "Sorted Data";
  title2 "Cases That Are Complete Duplicates Are Deleted";
run;

proc compare base=clinic compare=sort1 listbaseobs briefsummary;
  by id date;
run;

