/**********************************************************
   THIS FILE SHOWS HOW TO READ RAW DATA INTO SAS
   FROM THE PROGRAM EDITOR WINDOW

   FILENAME: INSTREAM.SAS
***********************************************************/
 OPTIONS FORMCHAR="|----|+|---+=|-/\<>*";
 TITLE;
 OPTIONS PAGENO=1;

/*ENTERING INSTREAM DATA --  BE SURE A PLACEHOLDER "." IS
  USED FOR MISSING VALUES  FOR BOTH CHARACTER AND NUMERIC
  VARIABLES*/

data medexam;
input lname $ id sbp age;
cards;
Smith     1028  135  .
Williams  1337  126  49
Brun      1829  148  56
Agassi    1553  118  65
Vernon    1626  129  60
  ;
proc print data=medexam;
run;

/*ENTERING DATA FOR MORE THAN ONE CASE ON THE SAME LINE*/

data test;
   input x y group $ @@;
   cards;
1  2 A   3 12 A   15 22 B   17 29 B   11 44 C   13 29 C
7 21 D  11 29 D   16 19 E   25 27 E   41 12 F   17 19 F
;
proc print data=test;
run;

/*ENTERING DATA FOR A TABLE*/

data opinion;
  input BEFORE $ AFTER $ count;
  cards;
No   No    5
No   Yes  80
Yes  No    3
Yes  Yes  82
;

proc freq;
  weight count;
  tables BEFORE * AFTER;
run;
