/************************************************
 THIS COMMAND FILE ILLUSTRATES HOW TO USE LAG
 FUNCTIONS IN A SAS DATA STEP.

 FILENAME: LAG.SAS
*************************************************/
options nodate pageno=1;
title;

data time;
  do time=1 to 10;
     x = int(ranuni(217)*100);
	 lagx  = lag1(x);
	 lagx2 = lag2(x);
	 lagx3 = lag3(x);
	 lagx4 = lag4(x);
	 output;
  end;
run;
proc print;
run;

/*LAG VARIABLE WITHIN A BY GROUP*/

/*****************************************
 FIRST CREATE A FAKE DATA SET, USING
  A DATA STEP AND A DO LOOP
******************************************/
data dental;
 do subject = 1 to 10;
  do visit  = 1 to 5;
    cavities=int(ranuni(552)*10);
	plaque  =round((ranuni(7757)*10)/3);
  output;
  end;
 end;
run;

proc print data=dental;
 title "Printout of Original Dental Data Set";
run;

proc sort data=dental;
  by subject visit;
run;

data dental2;
  set dental;
  by subject;

  /*Create the Lagged variable First!!*/
  prevcav = lag(cavities);
  prevplaque = lag(plaque); 

  if first.subject then do;
        prevcav=.;
		prevplaque=.;
  end;

  diff_cav = cavities - prevcav;
  diff_plaque = plaque - prevplaque;
 
run;

proc print data=dental2;
 title "Printout of Dental2 Data Set";
run;
