/************************************************
 THIS COMMAND FILE ILLUSTRATES HOW TO CREATE
 LEADS IN A SAS DATA STEP.

 FILENAME: LEAD.SAS
*************************************************/
options nodate pageno=1;
title;

/* First, we create the data set, using a data step*/
data time;
  do subject=1 to 10;
    do time=1 to 4;
     x = int(ranuni(217)*100);
	 output;
  end;
  end;
run;

proc print data=time;
title "Printout of original data set";
run;

/*Now, we create the lead in the data set*/
proc sort data=time;
  by subject time;
run;
data leadtime;
  if endlead not=1 then do;
     set time(firstobs=2) end=endlead;
	 nextx=x;
  end;
  set time;
  by subject;

  if last.subject then do;
     nextx = .;
  end;
  totx = x+nextx;
run;

proc print data=leadtime;
title "Printout of Data Set with Leads";
run;


