/************************************************
 THIS COMMAND FILE ILLUSTRATES HOW TO READ IN 
 RAW DATA FROM TWO INPUT FILES

 FILENAME: TWOINPUT.SAS
*************************************************/

title;
options pagno=1;

/*READING FROM TWO INPUT FILES WITH EQUAL NUMBER OF OBS*/
data equal;
  infile "file1.dat";
    input name $ sex $ age ;
  infile "file2.dat";
    input height weight;
run;
proc print data=equal;
run;


/*READING FROM TWO INPUT FILES WITH UNEQUAL NUMBER OF OBS*/
data unequal;
  if endfile1 and endfile2 then stop;

  infile "file1.dat" end=endfile1;
    if not endfile1 then input name $ sex $ age ;
  infile "file3.dat" end=endfile2;
    if not endfile2 then input height weight;
run;
proc print data=unequal;
run;

