

DATA WERNER;
  INFILE "c:\temp\labdata\WERNER2.DAT";
  INPUT ID 1-4 AGE 5-8 HT 9-12 WT 13-16
        PILL 17-20 CHOL 21-24  ALB 25-28
        CALC 29-32 URIC 33-36  PAIR 37-39;

/*Set up missing values using arrays*/
  array miss999 (2) HT WT;
    do i=1 to 2;
    if miss999(i) = 999 then miss999(i) = .;
  end;

  array miss99 (3) ALB CALC URIC;
    do i=1 to 3;
    if miss99(i) = 99 then miss99(i) = .;
  end;

  /*Create new variables as functions of
    the original variable using arrays*/

  array origvar (4) chol alb calc uric;
  array newvar (4) log_chol log_alb 
                   log_calc log_uric;
     do i=1 to 4;
	   newvar(i) = log(origvar(i));
	 end;

  if age not=. then do;
    if age < 20 then agegrp=1;
	if age >=20 and age < 30 then agegrp=2;
	if age >=30 and age < 40 then agegrp=3;
	if age >=40 then agegrp=4;
  end;

  array aged (4) age_dummy1 age_dummy2
                 age_dummy3 age_dummy4;
	do i=1 to 4;
	aged(i) = agegrp = i;
	end;

  drop i;
run;

PROC MEANS data=werner;
RUN;

proc freq data=werner;
  tables agegrp age_dummy1-age_dummy4;
run;

